#ifndef TRIE_HASH_pkgTagHash
#define TRIE_HASH_pkgTagHash
#include <stddef.h>
#include <stdint.h>
#include <apt-pkg/tagfile.h>
enum class pkgTagSection::Key {
    Architecture = 0,
    Binary = 1,
    Breaks = 2,
    Bugs = 3,
    Build_Conflicts = 4,
    Build_Conflicts_Arch = 5,
    Build_Conflicts_Indep = 6,
    Build_Depends = 7,
    Build_Depends_Arch = 8,
    Build_Depends_Indep = 9,
    Build_Essential = 10,
    Built_For_Profiles = 11,
    Built_Using = 12,
    Checksums_Md5 = 13,
    Checksums_Sha1 = 14,
    Checksums_Sha256 = 15,
    Checksums_Sha512 = 16,
    Class = 17,
    Conffiles = 18,
    Config_Version = 19,
    Conflicts = 20,
    Depends = 21,
    Description = 22,
    Description_md5 = 23,
    Directory = 24,
    Dm_Upload_Allowed = 25,
    Enhances = 26,
    Essential = 27,
    Files = 29,
    Filename = 28,
    Format = 30,
    Homepage = 31,
    Important = 32,
    Installed_Size = 33,
    Installer_Menu_Item = 34,
    Kernel_Version = 35,
    MD5sum = 37,
    MSDOS_Filename = 38,
    Maintainer = 36,
    Multi_Arch = 39,
    Optional = 40,
    Origin = 41,
    Original_Maintainer = 42,
    Package = 43,
    Package_List = 44,
    Package_Revision = 46,
    Package_Type = 47,
    Package__Revision = 45,
    Pre_Depends = 48,
    Priority = 49,
    Protected = 50,
    Provides = 51,
    Recommended = 52,
    Recommends = 53,
    Replaces = 54,
    Revision = 55,
    SHA1 = 57,
    SHA256 = 58,
    SHA512 = 59,
    Section = 56,
    Size = 60,
    Source = 61,
    Standards_Version = 62,
    Status = 63,
    Subarchitecture = 64,
    Suggests = 65,
    Tag = 66,
    Task = 67,
    Testsuite = 68,
    Testsuite_Triggers = 69,
    Triggers_Awaited = 70,
    Triggers_Pending = 71,
    Uploaders = 72,
    Vcs_Bzr = 76,
    Vcs_Cvs = 77,
    Vcs_Git = 79,
    Vcs_Hg = 80,
    Vcs_Mtn = 81,
    Vcs_Svn = 82,
    Vcs_Arch = 73,
    Vcs_Browse = 74,
    Vcs_Browser = 75,
    Vcs_Darcs = 78,
    Version = 83,
    Unknown = -1,
};
enum pkgTagSection::Key pkgTagHash(const char *string, size_t length);
#endif                       /* TRIE_HASH_pkgTagHash */
